# Terms and Conditions for royalty-free Products

**ROHDE & SCHWARZ GMBH & CO. KG, MUEHLDORFSTRASSE 15, 81671 MUNICH, GERMANY**

July 2019

**Legal Notice:** Please read these terms and conditions before downloading, installing or otherwise using the royalty-free software programmes, beta release programmes, accompanying documentation, Apps (applications for mobile devices), method descriptions, pictures, graphs, interfaces, databases and other information or contents provided by Rohde & Schwarz GmbH & Co. KG free of charge (hereinafter referred to as “Product” or “Products”). All use of the Product is subject to the terms and conditions set forth below (hereinafter referred to as “Terms and Conditions”).

To install the product, the User must first agree to the Terms and Conditions. Notwithstanding anything to the contrary in these Terms and Conditions, installing or otherwise using any of the Product indicates the User’s acceptance of these Terms and Conditions.

## 1. Scope of these Terms and Conditions

The User shall be entitled to view and download the Product including enhancements and documentations if any. The use of the Product shall be free of charge. The right to use the Product requires the prior acceptance of these Terms and Conditions.

If and to the extent the Product is provided to the User by ROHDE & SCHWARZ GmbH & Co. KG (hereinafter referred to as “R&S”) in order to fulfil R&S’ warranty or non gratuitous maintenance obligations under any other already existing agreement with the User, the use of the Product shall be governed by such other agreement.

## 2. Grant of License

R&S grants to the User a non-exclusive, non-transferable, royalty free, perpetual right to use the Product for the sole purpose for which it is intended and provided by R&S.

The license granted hereunder is limited to R&S and R&S licensors' intellectual property rights in the Product. R&S reserves all rights not expressly granted hereunder to the User.

## 3. Restrictions

The User shall not (i) copy the Product except for archival purposes or unless it is essentially required for its authorized use, (ii) modify, adapt or create derivative works of the Product or disable any of its features, (iii) remove, alter or obscure any product identification, copyright or other intellectual property notices embedded within or on the Product, or (iv) publish, disclose, sell, rent, lease, lend, distribute, make available online, sublicense or provide the Product to any third party without R&S' prior written consent. The User shall not decompile, disassemble or reverse engineer the Product unless stipulated otherwise by mandatory law.

## 4. Third Party Product / Open Source Software

To the extent that the Product is provided to the User for which R&S has only derived rights to use (Third Party Product), the above Sections “Grant of License” and “Restrictions” shall – also concerning the relationship between R&S and the User – be amended and superseded by the conditions of use agreed between R&S and its licensor. To the extent that the User is provided with Open Source Software, the provisions of the above Sections “Grant of License” and “Restrictions” shall be amended and superseded by the conditions of use of the according Open Source Software. Upon request, R&S shall provide the User with the source code if the provision of the source code has been agreed in the conditions of use of the Open Source Software licence. R&S shall point out in the contract documents or in any other appropriate document if Third Party Products (including, but not limited to Open Source Software) and pertaining conditions of use exist and shall make the conditions of use available if so requested by the User. Any breach of the conditions of use on the part of the User shall entitle not only R&S, but also its licensor, to assert claims and rights arising there from in their own name.

## 5. Copyright and Authorised Licensor

Subject to the following sentence R&S is and will remain the sole owner of all right, title and interest, including all intellectual property rights, in and to the Product, and all modifications, enhancements, updates, upgrades and derivative works thereof made by R&S. To the extent the Product contains a Third Party Product R&S is entitled to grant or forward to the User the license as set forth in these Terms and Conditions.

The User must reproduce all copyright notices in the original Product on all permitted copies.

## 6. Limitation of Warranty

The Product shall be made available to the User free of charge. R&S shall in particular make no warranty or representation that any Product will meet the User’s expectations, requirements or works in combination with any hardware or applications software provided by third parties, that the operation of the Product will be uninterrupted or error-free, or that any defects in any Product will be corrected. Furthermore, R&S shall make no warranty that the Product is free from any third-party rights. The aforementioned exclusion of warranty shall not apply if and to the extent R&S fraudulently conceals a defect of title or material defect of the Product, in which case R&S shall be obliged to indemnify the User for damages resulting therefrom.

## 7. Product Support

R&S offers a limited support for the Product at its sole discretion on voluntary basis and reserves the right to update the contents of the Product and its associated programs, files, documentation and/or other elements.

## 8. Liability

R&S shall only be liable in case of intent and only up to a maximum of EUR 500 in aggregate. These limitations shall not apply in case of injuries of life, body or health. Mandatory liability pursuant to product liability law shall remain unaffected.

## 9. Indirect and Consequential Damages

In no event shall R&S be liable for (i) any indirect, consequential or economic damages, and (ii) loss of profit, risk/replacement purchase, interruption of business, loss of production, contractual claims of third parties, loss of data due to a software error and loss of interest.

## 10. Export Control, embargos and sanctions

The User shall comply with all export control, embargo and sanctions laws and regulations, which are applicable to the Product and the User; this includes without being limited to restrictions on destinations, end users and end use. In addition, the User represents and warrants that it is not named on any applicable official sanction list (including without being limited to any governmental list of persons, organizations or entities that are prohibited from receiving exports, re-exports or other transfers) and that no competent public authority has suspended, revoked or denied the User’s export privileges.

## 11. Revocation

R&S may revoke the License upon notice for failure of the User to comply with any of these Terms and Conditions. Upon revocation, the User shall immediately stop the use and immediately return or destroy the Product, together with all copies, adaptations and merged portions in any form. In case of destruction the User shall prove such destruction if requested by R&S.

## 12. Applicable Law / Place of Jurisdiction

These Terms and Conditions and the contractual relationship between the User and R&S shall be governed by German law, excluding the provisions on conflict of laws. The application of the UN Convention on Contracts for the International Sale of Goods (CISG) shall be excluded.

The courts of Munich shall have exclusive jurisdiction in case of any disputes arising directly or indirectly from the contractual relationship, provided that the User is a businessman, a body corporate, a legal entity under public law, or a special fund under public law. R&S shall also have the right to take legal actions at the User’s domicile.

## 13. Miscellaneous

If any provision of these Terms and Conditions are held invalid, the of- fending clause will be modified so as to be enforceable and, as modified, shall be fully enforced, and the remainder of these Terms and Condi- tions will continue in full force and effect.
